Bug 121799 - rpm fails to install kernel source from latest RH9 rpm
rpm fails to install kernel source from latest RH9 rpm
Status: CLOSED NOTABUG
Product: Red Hat Linux
Classification: Retired
Component: kernel (Show other bugs)
9
All Linux
medium Severity medium
: ---
: ---
Assigned To: Arjan van de Ven
Brian Brock
: Security
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-04-27 17:48 EDT by Jeff Kuehn
Modified: 2007-04-18 13:06 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-04-28 10:58:38 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jeff Kuehn 2004-04-27 17:48:02 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.6) Gecko/20040113

Description of problem:
In summary, it appears that the latest RH9 kernel source package isn't
a kernel source package at all, but rather that the package builder
instead built an rpm of a bunch of undocumented kernel patch files.

Specifically, the newly released kernel-2.4.20-31.9.src.rpm can be
retrieved by up2date, but it does not install a new kernel source tree.

Instead, running:

rpm -ivh  kernel-2.4.20-31.9.src.rpm

installs a bunch of patch files (without any documentation) into
/usr/src/redhat/SOURCES. This does the user no good. The rhn applet
still insists that the system needs to be updated and packages which
depend on kernel version (like wlan-ng, etc) can no longer be built
from the new kernel source, making the new kernel binary also useless
for users who depend on the ability to extend their systems. This
requires users to fall back to the previous kernel binary/source
(2.4.20-30.9) to restore system function. This kernel (2.4.20-30.9) is
known to have security issues.



Version-Release number of selected component (if applicable):
kernel-2.4.20-31.9

How reproducible:
Always

Steps to Reproduce:
1.obtain kernel-2.4.20-31.9.src.rpm via up2date
2.rpm -ivh  kernel-2.4.20-31.9.src.rpm
3.check /usr/src/linux-2.4/ to see that the source isn't updated.
    

Actual Results:  the /usr/src/linux-2.4 source tree is not updated.
kernel modules built from the non-updated source tree fail to load
producing module/kernel version mismatch messages. This requires one
to fall back to the previous kernel binary (2.4.20-30.9) to restore
system functionality. Unfortunately, this binary has known security
issues.

Expected Results:  the /usr/src/linux-2.4 source tree should be
updated when the rpm is installed. kernel modules built from the
non-updated source tree should load successfully with the new kernel.

Additional info:

the rpm doesn't contain any kernel source other than the undocumented
patch files.
Comment 1 Dave Jones 2004-04-28 10:58:38 EDT
you want the kernel-source rpm not the .src.rpm

Note You need to log in before you can comment on or make changes to this bug.